package com.siwei.spatial.service.file.impl;

import java.util.List;

import com.siwei.spatial.api.domain.file.TGeomDb;
import com.siwei.spatial.api.domain.file.TGeomDbDetails;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.siwei.spatial.mapper.file.TGeomDbDetailsMapper;
import com.siwei.spatial.service.file.ITGeomDbDetailsService;

/**
 * 空间入库存储空间详情Service业务层处理
 *
 * @author siwei
 * @date 2025-02-05
 */
@Service
public class TGeomDbDetailsServiceImpl implements ITGeomDbDetailsService {

    @Autowired
    private TGeomDbDetailsMapper tGeomDbDetailsMapper;

    /**
     * 查询空间入库存储空间详情
     *
     * @param id 空间入库存储空间详情主键
     * @return 空间入库存储空间详情
     */
    @Override
    public TGeomDbDetails selectTGeomDbDetailsById(String id) {
        return tGeomDbDetailsMapper.selectTGeomDbDetailsById(id);
    }

    /**
     * 查询空间入库存储空间详情列表
     *
     * @param tGeomDbDetails 空间入库存储空间详情
     * @return 空间入库存储空间详情
     */
    @Override
    public List<TGeomDbDetails> selectTGeomDbDetailsList(TGeomDbDetails tGeomDbDetails) {
        return tGeomDbDetailsMapper.selectTGeomDbDetailsList(tGeomDbDetails);
    }

    /**
     * 新增空间入库存储空间详情
     *
     * @param tGeomDbDetails 空间入库存储空间详情
     * @return 结果
     */
    @Override
    public int insertTGeomDbDetails(TGeomDbDetails tGeomDbDetails) {
        return tGeomDbDetailsMapper.insertTGeomDbDetails(tGeomDbDetails);
    }

    /**
     * 修改空间入库存储空间详情
     *
     * @param tGeomDbDetails 空间入库存储空间详情
     * @return 结果
     */
    @Override
    public int updateTGeomDbDetails(TGeomDbDetails tGeomDbDetails) {
        return tGeomDbDetailsMapper.updateTGeomDbDetails(tGeomDbDetails);
    }

    /**
     * 批量删除空间入库存储空间详情
     *
     * @param ids 需要删除的空间入库存储空间详情主键
     * @return 结果
     */
    @Override
    public int deleteTGeomDbDetailsByIds(String[] ids) {
        return tGeomDbDetailsMapper.deleteTGeomDbDetailsByIds(ids);
    }

    /**
     * 删除空间入库存储空间详情信息
     *
     * @param id 空间入库存储空间详情主键
     * @return 结果
     */
    @Override
    public int deleteTGeomDbDetailsById(String id) {
        return tGeomDbDetailsMapper.deleteTGeomDbDetailsById(id);
    }


    @Override
    public TGeomDb sumGeomDetailsByUploadId(String id) {
        return tGeomDbDetailsMapper.sumGeomDetailsByUploadId(id);
    }
}
